com.ihr.xbrl.om.taxonomy

## Class XBRLXSDTypeDefinition.ClsIgnoreAllReceiver

- java.lang.Object
- - com.ihr.xbrl.om.taxonomy.XBRLXSDTypeDefinition.ClsIgnoreAllReceiver

- All Implemented Interfaces:
    javax.xml.transform.Result, net.sf.saxon.event.Receiver
  Enclosing class:
    XBRLXSDTypeDefinition

      public static class XBRLXSDTypeDefinition.ClsIgnoreAllReceiver
      extends java.lang.Object
      implements net.sf.saxon.event.Receiver

  The Class ClsIgnoreAllReceiver.

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.transform.Result

      `PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLXSDTypeDefinition.ClsIgnoreAllReceiver(net.sf.saxon.event.PipelineConfiguration config)` Instantiates a new cls ignore all receiver.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attribute(net.sf.saxon.om.NodeName attName, net.sf.saxon.type.SimpleType typeCode, java.lang.CharSequence value, int locationId, int properties)`
    `void` | `characters(java.lang.CharSequence chars, int locationId, int properties)`
    `void` | `close()`
    `void` | `comment(java.lang.CharSequence content, int locationId, int properties)`
    `void` | `endDocument()`
    `void` | `endElement()`
    `net.sf.saxon.event.PipelineConfiguration` | `getPipelineConfiguration()`
    `java.lang.String` | `getSystemId()`
    `void` | `namespace(net.sf.saxon.om.NamespaceBinding namespaceBinding, int properties)`
    `void` | `open()`
    `void` | `processingInstruction(java.lang.String name, java.lang.CharSequence data, int locationId, int properties)`
    `void` | `setPipelineConfiguration(net.sf.saxon.event.PipelineConfiguration config)`
    `void` | `setSystemId(java.lang.String systemId)`
    `void` | `setUnparsedEntity(java.lang.String name, java.lang.String systemID, java.lang.String publicID)`
    `void` | `startContent()`
    `void` | `startDocument(int properties)`
    `void` | `startElement(net.sf.saxon.om.NodeName elemName, net.sf.saxon.type.SchemaType typeCode, int locationId, int properties)`
    `boolean` | `usesTypeAnnotations()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLXSDTypeDefinition.ClsIgnoreAllReceiver

          public XBRLXSDTypeDefinition.ClsIgnoreAllReceiver(net.sf.saxon.event.PipelineConfiguration config)

      Instantiates a new cls ignore all receiver.
      Parameters:
        `config` - the config

  - ### Method Detail

    - #### characters

          public void characters(java.lang.CharSequence chars,
                        int locationId,
                        int properties)
                          throws net.sf.saxon.trans.XPathException

      Specified by:
        `characters` in interface `net.sf.saxon.event.Receiver`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### close

          public void close()
                     throws net.sf.saxon.trans.XPathException

      Specified by:
        `close` in interface `net.sf.saxon.event.Receiver`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### comment

          public void comment(java.lang.CharSequence content,
                     int locationId,
                     int properties)
                       throws net.sf.saxon.trans.XPathException

      Specified by:
        `comment` in interface `net.sf.saxon.event.Receiver`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### endDocument

          public void endDocument()
                           throws net.sf.saxon.trans.XPathException

      Specified by:
        `endDocument` in interface `net.sf.saxon.event.Receiver`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### endElement

          public void endElement()
                          throws net.sf.saxon.trans.XPathException

      Specified by:
        `endElement` in interface `net.sf.saxon.event.Receiver`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### getPipelineConfiguration

          public net.sf.saxon.event.PipelineConfiguration getPipelineConfiguration()

      Specified by:
        `getPipelineConfiguration` in interface `net.sf.saxon.event.Receiver`

    - #### open

          public void open()
                    throws net.sf.saxon.trans.XPathException

      Specified by:
        `open` in interface `net.sf.saxon.event.Receiver`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### processingInstruction

          public void processingInstruction(java.lang.String name,
                                   java.lang.CharSequence data,
                                   int locationId,
                                   int properties)
                                     throws net.sf.saxon.trans.XPathException

      Specified by:
        `processingInstruction` in interface `net.sf.saxon.event.Receiver`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### setPipelineConfiguration

          public void setPipelineConfiguration(net.sf.saxon.event.PipelineConfiguration config)

      Specified by:
        `setPipelineConfiguration` in interface `net.sf.saxon.event.Receiver`

    - #### setSystemId

          public void setSystemId(java.lang.String systemId)

      Specified by:
        `setSystemId` in interface `javax.xml.transform.Result`
      Specified by:
        `setSystemId` in interface `net.sf.saxon.event.Receiver`

    - #### setUnparsedEntity

          public void setUnparsedEntity(java.lang.String name,
                               java.lang.String systemID,
                               java.lang.String publicID)
                                 throws net.sf.saxon.trans.XPathException

      Specified by:
        `setUnparsedEntity` in interface `net.sf.saxon.event.Receiver`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### startContent

          public void startContent()
                            throws net.sf.saxon.trans.XPathException

      Specified by:
        `startContent` in interface `net.sf.saxon.event.Receiver`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### startDocument

          public void startDocument(int properties)
                             throws net.sf.saxon.trans.XPathException

      Specified by:
        `startDocument` in interface `net.sf.saxon.event.Receiver`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### getSystemId

          public java.lang.String getSystemId()

      Specified by:
        `getSystemId` in interface `javax.xml.transform.Result`

    - #### usesTypeAnnotations

          public boolean usesTypeAnnotations()

      Specified by:
        `usesTypeAnnotations` in interface `net.sf.saxon.event.Receiver`

    - #### startElement

          public void startElement(net.sf.saxon.om.NodeName elemName,
                          net.sf.saxon.type.SchemaType typeCode,
                          int locationId,
                          int properties)
                            throws net.sf.saxon.trans.XPathException

      Specified by:
        `startElement` in interface `net.sf.saxon.event.Receiver`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### namespace

          public void namespace(net.sf.saxon.om.NamespaceBinding namespaceBinding,
                       int properties)
                         throws net.sf.saxon.trans.XPathException

      Specified by:
        `namespace` in interface `net.sf.saxon.event.Receiver`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### attribute

          public void attribute(net.sf.saxon.om.NodeName attName,
                       net.sf.saxon.type.SimpleType typeCode,
                       java.lang.CharSequence value,
                       int locationId,
                       int properties)
                         throws net.sf.saxon.trans.XPathException

      Specified by:
        `attribute` in interface `net.sf.saxon.event.Receiver`
      Throws:
        `net.sf.saxon.trans.XPathException`